Package org.eclipse.net4j.util

# Klasse XMLUtil

java.lang.Object
org.eclipse.net4j.util.XMLUtil

public final class XMLUtil extends Object

Seit:
  3.4
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Klasse
Beschreibung
`static interface`
`XMLUtil.ElementHandler`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`static DocumentBuilder`
`createDocumentBuilder()`
`static int`
`handleChildElements(Element rootElement, XMLUtil.ElementHandler handler)`
`static int`
`handleElements(NodeList nodeList, XMLUtil.ElementHandler handler)`
`static int`
`handleElementsByTagName(Element rootElement, String tagName, XMLUtil.ElementHandler handler)`
`static Document`
`loadDocument(DocumentBuilder documentBuilder, File file)`
`static Element`
`loadRootElement(DocumentBuilder documentBuilder, File file)`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Methodendetails

### createDocumentBuilder

public static DocumentBuilder createDocumentBuilder() throws ParserConfigurationException

Löst aus:
  `ParserConfigurationException`

### loadRootElement

public static Element loadRootElement(DocumentBuilder documentBuilder, File file) throws Exception

Löst aus:
  `Exception`

### loadDocument

public static Document loadDocument(DocumentBuilder documentBuilder, File file) throws SAXException, IOException

Löst aus:
  `SAXException`
  `IOException`

### handleElements

public static int handleElements(NodeList nodeList, XMLUtil.ElementHandler handler) throws Exception

Löst aus:
  `Exception`

### handleChildElements

public static int handleChildElements(Element rootElement, XMLUtil.ElementHandler handler) throws Exception

Löst aus:
  `Exception`

### handleElementsByTagName

public static int handleElementsByTagName(Element rootElement, String tagName, XMLUtil.ElementHandler handler) throws Exception

Löst aus:
  `Exception`